<?	// Preamble
	$pageName = "Files";
	$focused = "none";					// Dock icon name to get a border
	$currPage = "files";				// Name of the page, for the menu
	require "parts/preamble.php";		// Load most of document
?>

<?
	function fileDownloadLink ($baseUrl, $extensions)
	{
		$extension = explode (' ', $extensions);
		$count = count ($extension);
		
		for ($i = 0 ; $i < $count ; $i++) {
			if ($i == 0) {
				echo '[ ';
			}
			echo '<A href="' . $baseUrl . '.' . $extension[$i] . '">' . $extension[$i] . '</A> ';
			if (($i+1) < $count) {
				echo '| ';
			} else {
				echo ']';
			}
			
		}
	}
?>

<P>QuakeForge is always in constant development.  Our development version has
the latest features, but changes rapidly as bugs are fixed and features are
added.  Stable versions do not change significantly once released, though we
sometimes make revisions of the stable branch to fix known bugs.

<H3>Current Releases</H3>

<H4>QuakeForge: Development Tree</H4>

<P>This is our new development tree (we're back to &quot;quakeforge&quot;),
where we're again in the process of merging Quake and QuakeWorld ... but
this time, it's much better. :),  and will eventually provide the 0.6
versions of QuakeForge.
<P>While almost always in working order, it's under heavy development so
be prepared to encounter some issues <STRONG>(Wear your hard hat!)</STRONG>.
Please check the <a href="documentation.php">docs</a>.

<P>QuakeForge: Version 0.5.0
<UL>
	<LI>Source code
		<? fileDownloadLink("files/quakeforge-current", "tar.gz tar.bz2 zip"); ?>
	</LI>
	<LI>Win32 binaries (Made with <A href="http://www.mingw.org/">MinGW</A> (GCC) in Linux)
	<?
		fileDownloadLink("files/qf-win32", "zip");
		$ftime = filemtime ("files/qf-win32.zip");
		echo " Updated " . date ("M. j, g:i a", $ftime) . " PT";
	?>
	</LI>
</UL>

<H4>QuakeForge: Newtree</H4>

<P>Newtree is our stable tree.  It will provide the 0.3 and 0.4 series of
QuakeForge releases.  Most activity has move to the development tree though.

<P>QuakeForge: Newtree, Version 0.3.0
<UL>
	<LI>Source code
	<? fileDownloadLink ("http://download.sourceforge.net/quake/quakeforge-0.3.0", "tar.gz tar.bz2 zip"); ?>
	<LI>Win32 binaries (Made with Microsoft Developer Studio)
	<? fileDownloadLink ("http://download.sourceforge.net/quake/quakeforge-0.3.0-win32", "zip"); ?>
	<LI>Win32 binaries (Made with <A href="http://www.mingw.org/">MinGW</A> (GCC)) (experimental)
	<? fileDownloadLink ("http://download.sourceforge.net/quake/quakeforge-0.3.0-mingw-i386", "zip"); ?>
	<LI>Win32 binaries (Made with <A href="http://www.mingw.org/">MinGW</A> (GCC), i686 optimised) (experimental)
	<? fileDownloadLink ("http://download.sourceforge.net/quake/quakeforge-0.3.0-mingw-i686", "zip"); ?>
</UL>

<P>Development Snapshots (source updated daily)
<UL>
	<LI>Source code
	<? fileDownloadLink("files/newtree-current", "tar.gz tar.bz2 zip"); ?>
	<LI>Win32 binaries (Made with Borland C++)
	<?
		fileDownloadLink ("files/newtree-win32-bc-current", "zip");
		$ftime = filemtime ("files/newtree-win32-bc-current.zip");
		echo " Updated " . date ("M. j, g:i a", $ftime) . " PT";
	?>
	<LI>Win32 binaries (Made with Microsoft Developer Studio)
	<?
		fileDownloadLink ("files/newtree-win32-current", "zip");
		$ftime = filemtime ("files/newtree-win32-current.zip");
		echo " Updated " . date ("M. j, g:i a", $ftime) . " PT";
	?>
</UL>

<H4>QuakeForge: NUQ</H4>

<P>QuakeForge: NUQ (pronounced &quot;Nuke&quot;) is, basically, the Classic
Quake version of Newtree. NUQ is based on the WinQuake engine, but with lots of
enhancements from the merged tree and Newtree. Being the reverse Newtree, there
is no support for QuakeWorld multiplayer protocols.

<P>The NUQ tree will be dead soon.  Our quakeforge tree is getting netquake
merged into the quakeworld code, so it'll be redundant.  And since nobody works
on it anyway, that's a good thing.

<P>Basicly dead, but here anyway. If you want single player, grab quakeforge-current instead, it's <STRONG>much</STRONG> better.
<UL>
	<LI>Source code
	<? fileDownloadLink("files/nuq-current", "tar.gz tar.bz2 zip"); ?>
	<? /* <LI>Win32 binaries [ coming soon! ] */ ?>
</UL>

<HR>
<H3>Older Releases</H3>

<H4>QuakeForge: Newtree</H4>

<P>QuakeForge: Newtree, Version 0.2.99 Beta 7
<UL>
	<LI>Source code
	<? fileDownloadLink ("http://download.sourceforge.net/quake/quakeforge-0.2.99beta7", "tar.gz tar.bz2 zip"); ?>
	<LI>Win32 binaries (Made with Microsoft Developer Studio)
	<? fileDownloadLink ("http://download.sourceforge.net/quake/quakeforge-0.2.99beta7-win32", "zip"); ?>
	<LI>Win32 binaries (Made with Borland C++)
	<? fileDownloadLink ("http://download.sourceforge.net/quake/quakeforge-0.2.99beta7-win32-bc", "zip"); ?>
</UL>

<P>Beta 6
<UL>
	<LI>Source code
	<? fileDownloadLink ("http://download.sourceforge.net/quake/quakeforge-0.2.99beta6", "tar.gz zip"); ?>
	<LI>Win32 binaries (Made with Microsoft Developer Studio)
	<? fileDownloadLink ("http://download.sourceforge.net/quake/quakeforge-0.2.99beta6-win32", "zip"); ?>
	<LI>Win32 binaries (Made with Borland C++)
	<? fileDownloadLink ("http://download.sourceforge.net/quake/quakeforge-0.2.99beta6-win32-bc", "zip"); ?>
	<LI>Win32 binaries (Made with <A href="http://www.mingw.org/">MinGW</A> (GCC)) (experimental)
	<? fileDownloadLink ("http://www.saunalahti.fi/~mipes/quakeforge-2.99beta6-mingw-win32", "zip"); ?>
	<LI>Win32 binaries (Made with <A href="http://www.mingw.org/">MinGW</A> (GCC), i686 optimised) (experimental)
	<? fileDownloadLink ("http://www.saunalahti.fi/~mipes/quakeforge-2.99beta6-mgw686-win32", "zip"); ?>
</UL>

<P>Beta 5
<UL>
	<LI>Source code
	<? fileDownloadLink ("http://download.sourceforge.net/quake/quakeforge-0.2.99beta5", "tar.gz tar.bz2 zip"); ?>
	<LI>Win32 binaries (Made with Microsoft Developer Studio)
	<? fileDownloadLink ("http://download.sourceforge.net/quake/quakeforge-0.2.99beta5-win32", "zip"); ?>
</UL>

<P>Beta 4.1
<UL>
	<LI>Source code
	<? fileDownloadLink ("http://download.sourceforge.net/quake/quakeforge-0.2.99beta4.1", "tar.gz tar.bz2 zip"); ?>
	<LI>Win32 binaries (Made with Microsoft Developer Studio)
	<? fileDownloadLink ("http://download.sourceforge.net/quake/quakeforge-0.2.99beta4.1-win32", "zip"); ?>
</UL>

<P>Beta 3
<UL>
	<LI>Source code
	<? fileDownloadLink ("http://download.sourceforge.net/quake/quakeforge-0.2.99beta3", "tar.gz tar.bz2 zip"); ?>
	<LI>Win32 binaries (Made with Microsoft Developer Studio)
	<? fileDownloadLink ("http://download.sourceforge.net/quake/quakeforge-0.2.99beta3-win32", "zip"); ?>
</UL>

<P>Beta 2
<UL>
	<LI>Source code
	<? fileDownloadLink ("http://download.sourceforge.net/quake/quakeforge-0.2.99beta2", "tar.gz tar.bz2 zip"); ?>
	<LI>Win32 binaries (Made with Microsoft Developer Studio)
	<? fileDownloadLink ("http://download.sourceforge.net/quake/quakeforge-0.2.99beta2-win32", "zip"); ?>
</UL>

<H4>QuakeForge Merged Tree</H4>

<P>Since current work is based on Newtree and NUQ, the merged tree snapshots
are no longer being made. You can still get it directly out of CVS, however.

<H4>QuakeForge Stable release (0.1.1, released 27 Feb 2000)</H4>

<P>QuakeForge 0.1 is our initial offering to the public. It's not really for
end-users, but served as a proof of concept that the Quake and QuakeWorld
trees are more closely related than initial look would indicate.

<UL>
	<LI>Source code
	<? fileDownloadLink ("http://download.sourceforge.net/quake/quakeforge-0.1.1", "tar.gz tar.bz2 zip"); ?>
	<LI>Win32 binaries [ n/a ]
</UL>

<HR>

<H3>Miscellaneous Files</H3>
<UL>
	<LI>QuakeForge pack (currently only has conback.lmp)
		<? fileDownloadLink ("files/pakQF", "pak"); ?>
	</LI>
	<LI>Skybox pack (internally compressed)
		<? fileDownloadLink ("files/skyboxes", "pak"); ?>
	</LI>
	<LI>Quake Shareware
		<? fileDownloadLink ("files/quake-shareware-1.06", "tar.gz tar.bz2 zip"); ?>
	</LI>
	<LI>zlib home page. Needed for compressed pak support.
		<A href="http://www.info-zip.org/pub/infozip/zlib/">http://www.info-zip.org/pub/infozip/zlib/</a>
	</LI>
	<LI>PAK, GtkPAK (Packfile manager), source (deprecated: there's a new one in the 0.5 source now)
		<? fileDownloadLink ("files/pak-0.2.2", "tar.gz tar.bz2 zip"); ?>
	</LI>
</UL>
<!--NOSEARCH-->
<?
	require "parts/postamble.php";		// Finish this sucker up
?>
